Class | Bio::SiRNA::Pair
In: | lib/bio/util/sirna.rb
Parent: | Object

# Bio::SiRNA::Pair

### Methods

new report

### Attributes

antisense | [RW] |
gc_percent | [RW] |
rule | [RW] |
sense | [RW] |
start | [RW] |
stop | [RW] |
target | [RW] |

### Public Class methods

new(target, sense, antisense, start, stop, rule, gc_percent)

[Source]

         # File lib/bio/util/sirna.rb, line 152
    152:       def initialize(target, sense, antisense, start, stop, rule, gc_percent)
    153:         @target     = target
    154:         @sense      = sense
    155:         @antisense  = antisense
    156:         @start      = start
    157:         @stop       = stop
    158:         @rule       = rule
    159:         @gc_percent = gc_percent
    160:       end

### Public Instance methods

report()

human readable report

[Source]

         # File lib/bio/util/sirna.rb, line 163
    163:       def report
    164:         report =  "### siRNA\n"
    165:         report << 'Start: ' + @start.to_s + "\n"
    166:         report << 'Stop:  ' + @stop.to_s  + "\n"
    167:         report << 'Rule:  ' + @rule.to_s  + "\n"
    168:         report << 'GC %:  ' + @gc_percent.to_s  + "\n"
    169:         report << 'Target:    '        + @target.upcase + "\n"
    170:         report << 'Sense:     ' + '  ' + @sense.upcase  + "\n"
    171:         report << 'Antisense: '        + @antisense.reverse.upcase + "\n"
    172:       end

[Validate]